#
# Conditional build:
%bcond_with	gui		# event-gui (noinst as of 0.4.0)
%bcond_with	static_libs	# static library
#
Summary:	Input device library
Summary(pl.UTF-8):	Biblioteka urządzeń wejściowych
Name:		libinput
Version:	0.7.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://www.freedesktop.org/software/libinput/%{name}-%{version}.tar.xz
# Source0-md5:	381b61396de28c12716ef7a5475fea50
URL:		http://www.freedesktop.org/wiki/Software/libinput/
%{?with_gui:BuildRequires:	cairo-devel}
BuildRequires:	check-devel >= 0.9.10
BuildRequires:	doxygen
%{?with_gui:BuildRequires:	glib2-devel >= 2.0}
%{?with_gui:BuildRequires:	gtk+3-devel >= 3.0}
BuildRequires:	libevdev-devel >= 0.4
BuildRequires:	mtdev-devel >= 1.1.0
BuildRequires:	pkgconfig
BuildRequires:	udev-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libinput is a library that handles input devices for display servers
and other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input code
the user of libinput need to provide the common set of functionality
that users expect.

%description -l pl.UTF-8
libinput to biblioteka obsługująca urządzenia wejściowe dla serwerów
grafiki i innych aplikacji wymagających bezpośredniej obsługi urządzeń
wejściowych.

Biblioteka zapewnia wykrywanie urządzeń, obsługę urządzeń,
przetwarzanie zdarzeń urządzeń wejściowych oraz abstrakcję,
minimalizując ilość własnego kodu, który musi napisać użytkownik
biblioteki, aby zapewnić oczekiwaną funkcjonalność.

%package devel
Summary:	Development files for libinput
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libinput
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	udev-devel

%description devel
This package contains the header files for developing applications
that use libinput.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do tworzenia aplikacji
wykorzystujących bibliotekę libinput.

%package static
Summary:	Static libinput library
Summary(pl.UTF-8):	Statyczna biblioteka libinput
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libinput library.

%description static -l pl.UTF-8
Statyczna biblioteka libinput.

%package apidocs
Summary:	API documentation for libinput library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libinput
Group:		Documentation

%description apidocs
API documentation for libinput library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libinput.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libinput.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinput.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinput.so
%{_includedir}/libinput.h
%{_pkgconfigdir}/libinput.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libinput.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Fri Dec 05 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libinput.git;a=log;h=master

* Fri Dec 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 332a61b
- updated to 0.7.0

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 1eece97
- updated to 0.6.0 (note: new soname)

* Wed Jul 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c1b182b
- up to 0.5.0

* Sat Jun 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 11e9e5b
- updated to 0.4.0 (note: new soname again)

* Wed Jun 11 2014 Jakub Bogusz <qboosh@pld-linux.org> ca73702
- updated to 0.3.0 (note: new soname)

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> c54cc35
- updated to 0.2.0

* Sat Mar 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 66c98b1
- PLDified/defedorized

* Fri Mar 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b1a834f
- initial

